- libbson 1.13.1 »
- API Reference »
- bson_decimal128_t

# bson_decimal128_from_string_w_len()

## Synopsis

    bool
    bson_decimal128_from_string_w_len (const char *string,
                                       int len,
                                       bson_decimal128_t *dec);

## Parameters

- `string`: A string containing ASCII encoded Decimal128.
- `len`: The length of `string` in bytes, or -1 meaning the string is null-terminated.
- `dec`: A bson_decimal128_t.

## Description

Parses the string containing ascii encoded Decimal128 and initialize the bytes in `dec`. See the Decimal128 specification for the exact string format.

## Returns

Returns `true` if valid Decimal128 string was provided, otherwise `false` and `dec` will be set to `NaN`.

## Example

    bson_decimal128_t dec;
    bson_decimal128_from_string_w_len ("1.00", 4, &dec);
    bson_decimal128_from_string_w_len ("1.00", -1, &dec);

Created using Sphinx 1.8.3, based on Sphinx Readable Theme.